CAD/CAM discussion forum > CAD > [Troubleshooting] ZWCAD does not support lisp vla-getInterfaceObject

[Troubleshooting] ZWCAD does not support lisp vla-getInterfaceObject

    
  Subscribe Topic

Rank: 1

Assgarth

Newbie

posts: 26

Registered: 2011-7-29

Message 1 of 3

 [Troubleshooting] ZWCAD does not support lisp vla-getInterfaceObject
11-01-2013 04:42 . pm   |   View his/her posts only
Post Last Edit by Zibster at 2013-1-11 16:55

Hello,
when will be possible to use "vla-getInterfaceObject" function?
How can I connect with DBX in ZwCAD2012+ using VisualLisp?

ZwCAD:
(vla-getInterfaceObject (vlax-get-acad-object) (strcat "ObjectDBX.AxDbDocument." (substr (getvar "ACADVER") 1 2)))
; error: Automation Error.

or
(vla-getInterfaceObject (vlax-get-acad-object) (strcat "ObjectDBX.ZxDbDocument." (substr (getvar "ACADVER") 1 2)))
; error: Automation Error.


in AutoCAD:
(vla-getInterfaceObject (vlax-get-acad-object) (strcat "ObjectDBX.AxDbDocument." (substr (getvar "ACADVER") 1 2)))
# < VLA-OBJECT IAxDbDocument 00000000313cb630 >



Greetings,
Assgarth

Rank: 5Rank: 5

Jan Pajerchin

ZWCAD Reseller

posts: 122

Registered: 2011-5-21

Message 2 of 3

22-01-2015 09:03 . pm   |   View his/her posts only
Any news ?
I also miss it :-(

Rank: 9Rank: 9Rank: 9

Jenny

Manager

posts: 722

Registered: 2013-5-6

Message 3 of 3

23-01-2015 01:36 . pm   |   View his/her posts only
Reply 1# Zibster

Please try to use vlax-get-or-create-object instead.
See also
X